Bug 298353 - crash while trying to mount a NFS share
Summary: crash while trying to mount a NFS share
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: libsolid-fstab (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Mario Bensi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-18 13:51 UTC by Marc Schiffbauer
Modified: 2013-03-05 22:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Schiffbauer 2012-04-18 13:51:32 UTC
Application: kded4 ($Id$)
KDE Platform Version: 4.8.2 (4.8.2) (Compiled from sources)
Qt Version: 4.8.1
Operating System: Linux 3.3.0-gentoo x86_64
Distribution: "NAME=Gentoo"

-- Information about the crash:
- What I was doing when the application crashed:

This crash appeared on my desktop when I was trying to mount one of my nfs-shares. 

I hope the BT is useful for you.

-- Backtrace:
Application: KDE-Dienst (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdf7f8957a0 (LWP 8641))]

Thread 3 (Thread 0x7fdf5b670700 (LWP 8687)):
#0  0x00007fdf7ce15f43 in poll () from /lib64/libc.so.6
#1  0x00007fdf79d7a3c6 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fdf79d7a81a in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fdf5b73b566 in ?? () from /usr/lib64/libgio-2.0.so.0
#4  0x00007fdf79d9af75 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fdf6d98eb74 in ?? () from /usr/lib64/libGL.so.1
#6  0x00007fdf7e098e1c in start_thread () from /lib64/libpthread.so.0
#7  0x00007fdf7ce1f5ad in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fdf5ac60700 (LWP 8697)):
#0  0x00007fdf7e09c18d in pthread_mutex_unlock () from /lib64/libpthread.so.0
#1  0x00007fdf79db42b1 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fdf79d79ae3 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fdf79d7a2eb in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fdf79d7a4f4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fdf7e45bb56 in QEventDispatcherGlib::processEvents (this=0x1150200, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fdf7e42bc32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fdf7e42be87 in QEventLoop::exec (this=0x7fdf5ac5fcf0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fdf7e32be97 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fdf7e40bbef in QInotifyFileSystemWatcherEngine::run (this=0x1508310) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007fdf7e32ee9b in QThreadPrivate::start (arg=0x1508310) at thread/qthread_unix.cpp:298
#11 0x00007fdf6d98eb74 in ?? () from /usr/lib64/libGL.so.1
#12 0x00007fdf7e098e1c in start_thread () from /lib64/libpthread.so.0
#13 0x00007fdf7ce1f5ad in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fdf7f8957a0 (LWP 8641)):
[KCrash Handler]
#6  count (this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qvector.h:259
#7  QMetaObject::activate (sender=0x7fdf7d0d6218, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffde503ff0) at kernel/qobject.cpp:3484
#8  0x00007fdf7e3c2be1 in QProcess::stateChanged (this=<optimized out>, _t1=QProcess::NotRunning) at .moc/release-shared/moc_qprocess.cpp:170
#9  0x00007fdf7e3c2c2f in QProcessPrivate::cleanup (this=<optimized out>) at io/qprocess.cpp:799
#10 0x00007fdf7e3c2df2 in QProcess::~QProcess (this=0x13feaf0, __in_chrg=<optimized out>) at io/qprocess.cpp:1157
#11 0x00007fdf7e3c2e29 in QProcess::~QProcess (this=0x13feaf0, __in_chrg=<optimized out>) at io/qprocess.cpp:1158
#12 0x00007fdf752f5f19 in Solid::Backends::Fstab::FstabStorageAccess::slotSetupFinished (this=0x1c2b480, exitCode=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.8.49.9999/work/kdelibs-4.8.49.9999/solid/solid/backends/fstab/fstabstorageaccess.cpp:128
#13 0x00007fdf75296f1e in Solid::Backends::Fstab::FstabStorageAccess::qt_static_metacall (_o=0x1c2b480, _c=<optimized out>, _id=5, _a=0x7fffde504250) at /var/tmp/portage/kde-base/kdelibs-4.8.49.9999/work/kdelibs-4.8.49.9999_build/solid/solid/moc_fstabstorageaccess.cpp:82
#14 0x00007fdf7e440a79 in QMetaObject::activate (sender=0x1b54fa0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffde504250) at kernel/qobject.cpp:3547
#15 0x00007fdf7e3c2b5f in QProcess::finished (this=<optimized out>, _t1=32, _t2=QProcess::NormalExit) at .moc/release-shared/moc_qprocess.cpp:156
#16 0x00007fdf7e3ca136 in QProcessPrivate::_q_processDied (this=0x13fc270) at io/qprocess.cpp:1068
#17 0x00007fdf7e3ca1be in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at .moc/release-shared/moc_qprocess.cpp:92
#18 QProcess::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qprocess.cpp:69
#19 0x00007fdf7e440a79 in QMetaObject::activate (sender=0x16f67a0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffde504430) at kernel/qobject.cpp:3547
#20 0x00007fdf7e48d82e in QSocketNotifier::activated (this=<optimized out>, _t1=30) at .moc/release-shared/moc_qsocketnotifier.cpp:103
#21 0x00007fdf7e449d7b in QSocketNotifier::event (this=0x16f67a0, e=0x7fffde504ae0) at kernel/qsocketnotifier.cpp:317
#22 0x00007fdf7d5ba7c4 in notify_helper (e=0x7fffde504ae0, receiver=0x16f67a0, this=0x1151f70) at kernel/qapplication.cpp:4554
#23 QApplicationPrivate::notify_helper (this=0x1151f70, receiver=0x16f67a0, e=0x7fffde504ae0) at kernel/qapplication.cpp:4526
#24 0x00007fdf7d5bf591 in QApplication::notify (this=0x7fffde504d60, receiver=0x16f67a0, e=0x7fffde504ae0) at kernel/qapplication.cpp:3936
#25 0x00007fdf7f21c0ad in KApplication::notify (this=0x7fffde504d60, receiver=0x16f67a0, event=0x7fffde504ae0) at /var/tmp/portage/kde-base/kdelibs-4.8.49.9999/work/kdelibs-4.8.49.9999/kdeui/kernel/kapplication.cpp:311
#26 0x00007fdf7e42ce2c in QCoreApplication::notifyInternal (this=0x7fffde504d60, receiver=0x16f67a0, event=0x7fffde504ae0) at kernel/qcoreapplication.cpp:876
#27 0x00007fdf7e45b1c5 in sendEvent (event=0x7fffde504ae0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#28 socketNotifierSourceDispatch (source=0x1152f90) at kernel/qeventdispatcher_glib.cpp:110
#29 0x00007fdf79d7a06a in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#30 0x00007fdf79d7a430 in ?? () from /usr/lib64/libglib-2.0.so.0
#31 0x00007fdf79d7a4f4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fdf7e45baef in QEventDispatcherGlib::processEvents (this=0x104c7d0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#33 0x00007fdf7d65d8ce in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#34 0x00007fdf7e42bc32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007fdf7e42be87 in QEventLoop::exec (this=0x7fffde504cf0, flags=...) at kernel/qeventloop.cpp:204
#36 0x00007fdf7e430995 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#37 0x00007fdf68d58db0 in kdemain (argc=1, argv=0x118bec0) at /var/tmp/portage/kde-base/kdelibs-4.8.49.9999/work/kdelibs-4.8.49.9999/kded/kded.cpp:924
#38 0x0000000000408546 in launch (argc=1, _name=0x40c7c2 "kded4", args=<optimized out>, cwd=0x0, envc=<optimized out>, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x40c521 "0") at /var/tmp/portage/kde-base/kdelibs-4.8.49.9999/work/kdelibs-4.8.49.9999/kinit/kinit.cpp:734
#39 0x0000000000405697 in main (argc=2, argv=0x7fffde505668, envp=0x7fffde505680) at /var/tmp/portage/kde-base/kdelibs-4.8.49.9999/work/kdelibs-4.8.49.9999/kinit/kinit.cpp:1849

Reported using DrKonqi
Comment 1 Alex Fiestas 2013-03-03 18:29:08 UTC
I'm almost 100% sure I fixed this a while ago, can you test if it happens with 4.10?

If it does please, reopen the bug!

Thanks for reporting and sorry for the delay on replying.
Comment 2 Marc Schiffbauer 2013-03-04 00:54:24 UTC
Sorry, I switched to autofs a while ago since support for Network Filesystems like NFS does not seem to be a real use case in KDE ...
For example, the settings  dialog of device manager does not even mention network filesystems and they only appear, when using the "All" setting.
Comment 3 Alex Fiestas 2013-03-05 20:42:48 UTC
dialog of device manager? what's that exactly?
Comment 4 Marc Schiffbauer 2013-03-05 21:05:14 UTC
Hi Alex,

what I meant was the settings dialog of the device manager (usb icon in systray...)

-Marc
Comment 5 Alex Fiestas 2013-03-05 22:04:16 UTC
Well it is not meant for that I think... anyway we don't have proper support for them so I completely agree with you.